org.appng.xml.platform

## Class Sort

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Sort

- All Implemented Interfaces:
    Serializable

      public class Sort
      extends BaseObject
      implements Serializable

  Contains the `SortOrder` and priority for a sortable `FieldDef`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `ignoreCase`
    `protected String` | `name`
    `protected SortOrder` | `order`
    `protected Integer` | `prio`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The name of the property to be used in the search query.
    `SortOrder` | `getOrder()` The direction of sorting.
    `Integer` | `getPrio()` The priority of sorting, needed to support multiple sort criterias.
    `Boolean` | `isIgnoreCase()` Whether or not the sort will be case sensitive.
    `void` | `setIgnoreCase(Boolean value)` Sets the value of the ignoreCase property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setOrder(SortOrder value)` Sets the value of the order property.
    `void` | `setPrio(Integer value)` Sets the value of the prio property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### order

          protected SortOrder order

    - #### name

          protected String name

    - #### prio

          protected Integer prio

    - #### ignoreCase

          protected Boolean ignoreCase

  - ### Constructor Detail

    - #### Sort

          public Sort()

  - ### Method Detail

    - #### getOrder

          public SortOrder getOrder()

      The direction of sorting.
      Returns:
        possible object is `SortOrder`

    - #### setOrder

          public void setOrder(SortOrder value)

      Sets the value of the order property.
      Parameters:
        `value` - allowed object is `SortOrder`

    - #### getName

          public String getName()

      The name of the property to be used in the search query. Only nessecarry if different from the `FieldDef`'s name.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPrio

          public Integer getPrio()

      The priority of sorting, needed to support multiple sort criterias.
      Returns:
        possible object is `Integer`

    - #### setPrio

          public void setPrio(Integer value)

      Sets the value of the prio property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### isIgnoreCase

          public Boolean isIgnoreCase()

      Whether or not the sort will be case sensitive.
      Returns:
        possible object is `Boolean`

    - #### setIgnoreCase

          public void setIgnoreCase(Boolean value)

      Sets the value of the ignoreCase property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.